#
# spec file for package ssdeep
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ssdeep
Version:        2.14.1
Release:        1.30
Summary:        Context Triggered Piecewise Hashing values
License:        GPL-2.0 AND GPL-2.0+
Group:          Development/Tools/Other
Url:            http://ssdeep.sourceforge.net/
Source0:        https://github.com/ssdeep-project/ssdeep/releases/download/release-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ssdeep is a program for computing and matching Context Triggered Piecewise
Hashing values. It is based on a spam detector called spamsum by Andrews
Trigdell

%package -n libfuzzy2
Summary:        API for ssdeep
Group:          Development/Libraries/C and C++

%description -n libfuzzy2
Libraries for ssdeep, the primary library is libfuzzy.*

%package -n libfuzzy-devel
Summary:        API for ssdeep
Group:          Development/Libraries/C and C++
Requires:       libfuzzy2 = %{version}

%description -n libfuzzy-devel
Devel API for ssdeep, the primary library is libfuzzy.*

%prep
%setup -q

%build
%configure --disable-static
# rpath removal
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%post -n libfuzzy2 -p /sbin/ldconfig
%postun -n libfuzzy2 -p /sbin/ldconfig

%install
%make_install
# Clean up *.a and *.la files
find %{buildroot} -type f -name "*.la" -delete -print

%files
%defattr(-,root,root)
%doc README COPYING TODO FILEFORMAT AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man1/*

%files -n libfuzzy2
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/libfuzzy.so.*

%files -n libfuzzy-devel
%defattr(-,root,root)
%doc README COPYING FILEFORMAT NEWS ChangeLog
%{_includedir}/fuzzy.h
%{_includedir}/edit_dist.h
%{_libdir}/libfuzzy.so

%changelog
* Mon Nov 13 2017 astieger@suse.com
- ssdeep 2.14.1:
  * Optimizations to the fuzzy hashing engine
  * Fixed issue when certain memory allocation is failed
* Tue Apr 28 2015 astieger@suse.com
- ssdeep 2.13:
  * Added fuzzy_set_total_input_length function to the API.
  * Added support for files up to 192GB.
  * Added support for arbitrary length input from the standard input.
  * Fixed issue when comparing hashes from relatively simple files.
  * Fixed portability issues.
* Fri Oct 24 2014 andreas.stieger@gmx.de
- ssdeep 2.12:
  - Fixed issue when comparing identical hashes but with different
    block sizes.
- Fixes licence problem in edit_dist.c [boo#901394]
  Package licence is GPL-2.0 and GPL-2.0+:
* Thu Oct 16 2014 andreas.stieger@gmx.de
- ssdeep 2.11.1
  * Made libfuzzy compile as a shared library again.
- includes changes from 2.11:
  * Added fuzzy_clone function to the API.
  * Fixed edge case on signature generaion. Behavior now matches v2.9 again.
- includes changes from 2.10:
  * Fuzzy Hashing engine re-written to be thread safe.
  * Fixed bug on comparing signatures with the same block size.
  * Fixed crash on comparing short signatures.
  * Fixed memory leak
- includes changes from 2.9:
  * Added warning message for when some data on stdin is not hashed.
  * Can now hash up to 512MB of data on stdin.
  * Added clustering mode to group together matching files
  * Fixed incorrect match scores for hashes with long filenames.
- includes changes from 2.8:
  * Converted to C++
  * Fixed support for large files on some platforms.
  * Fixed errors in handling command line argument processing.
- remove ssdeep-dynamic.patch, not required
- remove autoreconf call
- License is GPL-2.0+, but please review [boo#901394]
* Fri Aug 17 2012 dimstar@opensuse.org
- Add ssdeep-dynamic.patch: Link ssdeep dynamically to libfuzzy.
  As a side-effect, we can actually now also use configure
  - -disable-static.
- Add libtool BuildRequires and call autoreconf, as above patch
  touches the build system.
* Thu Aug  9 2012 aj@suse.de
- Run through spec-cleaner, remove obsolete comments.
* Sat Feb 11 2012 Greg.Freemyer@gmail.com
- initial submission
  Recursive computing and matching of Context Triggered Piecewise
  Hashing (aka Fuzzy Hashing). Supports Windows, *nix, BSD, OS X, etc.
